<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Main.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Main.java</span></div><h1>Main.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.math.BigDecimal;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Main
 */
<span class="fc" id="L27">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Main  implements Serializable  {</span>
<span class="fc" id="L28">  @JsonProperty(&quot;temp&quot;)</span>
  private BigDecimal temp = null;

<span class="fc" id="L31">  @JsonProperty(&quot;pressure&quot;)</span>
  private Integer pressure = null;

<span class="fc" id="L34">  @JsonProperty(&quot;humidity&quot;)</span>
  private Integer humidity = null;

<span class="fc" id="L37">  @JsonProperty(&quot;temp_min&quot;)</span>
  private BigDecimal tempMin = null;

<span class="fc" id="L40">  @JsonProperty(&quot;temp_max&quot;)</span>
  private BigDecimal tempMax = null;

<span class="fc" id="L43">  @JsonProperty(&quot;sea_level&quot;)</span>
  private BigDecimal seaLevel = null;

<span class="fc" id="L46">  @JsonProperty(&quot;grnd_level&quot;)</span>
  private BigDecimal grndLevel = null;

  public Main temp(BigDecimal temp) {
<span class="nc" id="L50">    this.temp = temp;</span>
<span class="nc" id="L51">    return this;</span>
  }

  /**
   * Temperature. Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.
   * @return temp
   **/
  @JsonProperty(&quot;temp&quot;)
  @Schema(example = &quot;293.25&quot;, description = &quot;Temperature. Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.&quot;)
  @Valid
  public BigDecimal getTemp() {
<span class="fc" id="L62">    return temp;</span>
  }

  public void setTemp(BigDecimal temp) {
<span class="fc" id="L66">    this.temp = temp;</span>
<span class="fc" id="L67">  }</span>

  public Main pressure(Integer pressure) {
<span class="nc" id="L70">    this.pressure = pressure;</span>
<span class="nc" id="L71">    return this;</span>
  }

  /**
   * Atmospheric pressure (on the sea level, if there is no sea_level or grnd_level data), hPa
   * @return pressure
   **/
  @JsonProperty(&quot;pressure&quot;)
  @Schema(example = &quot;1019&quot;, description = &quot;Atmospheric pressure (on the sea level, if there is no sea_level or grnd_level data), hPa&quot;)
  public Integer getPressure() {
<span class="nc" id="L81">    return pressure;</span>
  }

  public void setPressure(Integer pressure) {
<span class="nc" id="L85">    this.pressure = pressure;</span>
<span class="nc" id="L86">  }</span>

  public Main humidity(Integer humidity) {
<span class="nc" id="L89">    this.humidity = humidity;</span>
<span class="nc" id="L90">    return this;</span>
  }

  /**
   * Humidity, %
   * @return humidity
   **/
  @JsonProperty(&quot;humidity&quot;)
  @Schema(example = &quot;83&quot;, description = &quot;Humidity, %&quot;)
  public Integer getHumidity() {
<span class="nc" id="L100">    return humidity;</span>
  }

  public void setHumidity(Integer humidity) {
<span class="nc" id="L104">    this.humidity = humidity;</span>
<span class="nc" id="L105">  }</span>

  public Main tempMin(BigDecimal tempMin) {
<span class="nc" id="L108">    this.tempMin = tempMin;</span>
<span class="nc" id="L109">    return this;</span>
  }

  /**
   * Minimum temperature at the moment. This is deviation from current temp that is possible for large cities and megalopolises geographically expanded (use these parameter optionally). Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.
   * @return tempMin
   **/
  @JsonProperty(&quot;temp_min&quot;)
  @Schema(example = &quot;289.82&quot;, description = &quot;Minimum temperature at the moment. This is deviation from current temp that is possible for large cities and megalopolises geographically expanded (use these parameter optionally). Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.&quot;)
  @Valid
  public BigDecimal getTempMin() {
<span class="nc" id="L120">    return tempMin;</span>
  }

  public void setTempMin(BigDecimal tempMin) {
<span class="nc" id="L124">    this.tempMin = tempMin;</span>
<span class="nc" id="L125">  }</span>

  public Main tempMax(BigDecimal tempMax) {
<span class="nc" id="L128">    this.tempMax = tempMax;</span>
<span class="nc" id="L129">    return this;</span>
  }

  /**
   * Maximum temperature at the moment. This is deviation from current temp that is possible for large cities and megalopolises geographically expanded (use these parameter optionally). Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.
   * @return tempMax
   **/
  @JsonProperty(&quot;temp_max&quot;)
  @Schema(example = &quot;295.37&quot;, description = &quot;Maximum temperature at the moment. This is deviation from current temp that is possible for large cities and megalopolises geographically expanded (use these parameter optionally). Unit Default: Kelvin, Metric: Celsius, Imperial: Fahrenheit.&quot;)
  @Valid
  public BigDecimal getTempMax() {
<span class="nc" id="L140">    return tempMax;</span>
  }

  public void setTempMax(BigDecimal tempMax) {
<span class="nc" id="L144">    this.tempMax = tempMax;</span>
<span class="nc" id="L145">  }</span>

  public Main seaLevel(BigDecimal seaLevel) {
<span class="nc" id="L148">    this.seaLevel = seaLevel;</span>
<span class="nc" id="L149">    return this;</span>
  }

  /**
   * Atmospheric pressure on the sea level, hPa
   * @return seaLevel
   **/
  @JsonProperty(&quot;sea_level&quot;)
  @Schema(example = &quot;984&quot;, description = &quot;Atmospheric pressure on the sea level, hPa&quot;)
  @Valid
  public BigDecimal getSeaLevel() {
<span class="nc" id="L160">    return seaLevel;</span>
  }

  public void setSeaLevel(BigDecimal seaLevel) {
<span class="nc" id="L164">    this.seaLevel = seaLevel;</span>
<span class="nc" id="L165">  }</span>

  public Main grndLevel(BigDecimal grndLevel) {
<span class="nc" id="L168">    this.grndLevel = grndLevel;</span>
<span class="nc" id="L169">    return this;</span>
  }

  /**
   * Atmospheric pressure on the ground level, hPa
   * @return grndLevel
   **/
  @JsonProperty(&quot;grnd_level&quot;)
  @Schema(example = &quot;990&quot;, description = &quot;Atmospheric pressure on the ground level, hPa&quot;)
  @Valid
  public BigDecimal getGrndLevel() {
<span class="nc" id="L180">    return grndLevel;</span>
  }

  public void setGrndLevel(BigDecimal grndLevel) {
<span class="nc" id="L184">    this.grndLevel = grndLevel;</span>
<span class="nc" id="L185">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L190" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L191">      return true;</span>
    }
<span class="nc bnc" id="L193" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L194">      return false;</span>
    }
<span class="nc" id="L196">    Main main = (Main) o;</span>
<span class="nc bnc" id="L197" title="All 2 branches missed.">    return Objects.equals(this.temp, main.temp) &amp;&amp;</span>
<span class="nc bnc" id="L198" title="All 2 branches missed.">        Objects.equals(this.pressure, main.pressure) &amp;&amp;</span>
<span class="nc bnc" id="L199" title="All 2 branches missed.">        Objects.equals(this.humidity, main.humidity) &amp;&amp;</span>
<span class="nc bnc" id="L200" title="All 2 branches missed.">        Objects.equals(this.tempMin, main.tempMin) &amp;&amp;</span>
<span class="nc bnc" id="L201" title="All 2 branches missed.">        Objects.equals(this.tempMax, main.tempMax) &amp;&amp;</span>
<span class="nc bnc" id="L202" title="All 2 branches missed.">        Objects.equals(this.seaLevel, main.seaLevel) &amp;&amp;</span>
<span class="nc bnc" id="L203" title="All 2 branches missed.">        Objects.equals(this.grndLevel, main.grndLevel);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L208">    return Objects.hash(temp, pressure, humidity, tempMin, tempMax, seaLevel, grndLevel);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L214">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L215">    sb.append(&quot;class Main {\n&quot;);</span>
    
<span class="nc" id="L217">    sb.append(&quot;    temp: &quot;).append(toIndentedString(temp)).append(&quot;\n&quot;);</span>
<span class="nc" id="L218">    sb.append(&quot;    pressure: &quot;).append(toIndentedString(pressure)).append(&quot;\n&quot;);</span>
<span class="nc" id="L219">    sb.append(&quot;    humidity: &quot;).append(toIndentedString(humidity)).append(&quot;\n&quot;);</span>
<span class="nc" id="L220">    sb.append(&quot;    tempMin: &quot;).append(toIndentedString(tempMin)).append(&quot;\n&quot;);</span>
<span class="nc" id="L221">    sb.append(&quot;    tempMax: &quot;).append(toIndentedString(tempMax)).append(&quot;\n&quot;);</span>
<span class="nc" id="L222">    sb.append(&quot;    seaLevel: &quot;).append(toIndentedString(seaLevel)).append(&quot;\n&quot;);</span>
<span class="nc" id="L223">    sb.append(&quot;    grndLevel: &quot;).append(toIndentedString(grndLevel)).append(&quot;\n&quot;);</span>
<span class="nc" id="L224">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L225">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L233" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L234">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L236">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>